#
# spec file for package icc-examin
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pixmapdir       %{_datadir}/pixmaps
%define desktopdir      %{_datadir}/applications
Name:           icc-examin
Version:        0.55
Release:        1.1
Summary:        ICC profile viewer and colour visualisation
License:        (GPL-2.0+ and SUSE-FLTK) and BSD-2-Clause
Group:          Productivity/Graphics/Other
Url:            http://www.oyranos.org/icc-examin
Source:         %{name}-%{version}.tar.bz2
Obsoletes:      icc_examin <= 0.54
Provides:       icc_examin == %{version}
BuildRequires:  desktop-file-utils
BuildRequires:  fltk-devel
BuildRequires:  ftgl-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  libjpeg-devel
BuildRequires:  liboyranos-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  shared-mime-info
Requires:       oyranos-monitor
Requires:       oyranos-ui-fltk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1010
BuildRequires:  Mesa
BuildRequires:  Mesa-devel
BuildRequires:  expat
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  libXcm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms-devel
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xdg-utils
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-fonts-devel
BuildRequires:  xorg-x11-libICE
BuildRequires:  xorg-x11-libICE-devel
BuildRequires:  xorg-x11-libSM
BuildRequires:  xorg-x11-libSM-devel
BuildRequires:  xorg-x11-libX11
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXau
BuildRequires:  xorg-x11-libXau-devel
BuildRequires:  xorg-x11-libXdmcp
BuildRequires:  xorg-x11-libXdmcp-devel
BuildRequires:  xorg-x11-libXext
BuildRequires:  xorg-x11-libXext-devel
BuildRequires:  xorg-x11-libXfixes
BuildRequires:  xorg-x11-libXfixes-devel
BuildRequires:  xorg-x11-libXmu
BuildRequires:  xorg-x11-libXmu-devel
BuildRequires:  xorg-x11-libXp
BuildRequires:  xorg-x11-libXp-devel
BuildRequires:  xorg-x11-libXpm
BuildRequires:  xorg-x11-libXpm-devel
BuildRequires:  xorg-x11-libXprintUtil
BuildRequires:  xorg-x11-libXprintUtil-devel
BuildRequires:  xorg-x11-libXrender
BuildRequires:  xorg-x11-libXrender-devel
BuildRequires:  xorg-x11-libXt
BuildRequires:  xorg-x11-libXt-devel
BuildRequires:  xorg-x11-libXv
BuildRequires:  xorg-x11-libXv-devel
BuildRequires:  xorg-x11-libfontenc
BuildRequires:  xorg-x11-libfontenc-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  xorg-x11-libxkbfile
BuildRequires:  xorg-x11-libxkbfile-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-x11-util-devel
BuildRequires:  xorg-x11-xtrans-devel
BuildRequires:  zlib-devel
Recommends:     freefont
%endif
%if 0%{?suse_version} > 1130
BuildRequires:  pkgconfig(glu)
%endif
%if 0%{?fedora_version} > 0
BuildRequires:  Mesa-devel
BuildRequires:  elektra-devel
BuildRequires:  lcms-devel
BuildRequires:  libXcm-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  qt3-devel
BuildRequires:  xdg-utils
BuildRequires:  xorg-x11-Mesa-devel
BuildRequires:  xorg-x11-devel
%endif

%description
ICC Examin is a small utility (unix name: iccexamin) for the
purpose of watching the internals of ICC profiles, measurement
data (CGATS), colour samples (named colour profiles), gamut
visualisations (vrml), video card gamma tables (Xorg/XFree86/osX).

Authors:
--------
    ICC Examin  Kai-Uwe Behrmann <www.behrmann.name>

used components:
    agv         Philip Winston
    bsp         Norman Chin
    FLTK code snippets  Bill Spitzak and others <www.fltk.org>

Translators:
cs:                  Milan Knizek <knizek@volny.cz> 2008
de:                  Kai-Uwe Behrmann <www.behrmann.name>
eu:                  Iñaki Larrañaga Murgoitio <dooteo@euskalgnu.org>, 2007
fr:                  Pascal LACROIX <lacroixpascal at vfemail.net>, 2006

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%configure
make %{?_smp_mflags} || make

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang icc_examin       # generate a special file list
%if 0%{?suse_version} > 1010
find %{buildroot} -type f -name "*.ttf" -delete -print
%suse_update_desktop_file -n  iccexamin # some openSUSE magic
%endif

%post
update-mime-database %{_datadir}/mime/

%postun
update-mime-database %{_datadir}/mime/

%files -f icc_examin.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/iccexamin
%{desktopdir}/iccexamin.desktop
%{pixmapdir}/iccexamin.png
%dir %{pixmapdir}/hicolor
%dir %{pixmapdir}/hicolor/scalable
%{pixmapdir}/hicolor/scalable/iccexamin.svg
%if 0%{?suse_version} < 1010
%{_datadir}/fonts/FreeSans.ttf
%endif
%{_mandir}/man1/iccexamin.*

%changelog
* Thu May 15 2014 ku.b@gmx.de
- add Obsoletes and Privides for move from icc_examin to icc-examin
* Wed May 14 2014 ku.b@gmx.de
- spec clean up:
  + remove mandriva_version section
  + merge old suse_version section
  + run spec-cleaner
* Sat May 10 2014 ku.b@gmx.de - 0.55
- release 0.55
- update to Oyranos 0.9.5 API changes
- adapt inline sed usage for FreeBSD (Boris Samorodov)
- fix build on Factory - where 'pkg-config --cflags xcm' is empty (Dominique Leuenberger)
- fix for profiles without desc tag
- fix lagging UI on file open
- fix Harald's crash on XFCE
- use available XRandR for monitor gamma
* Mon Apr 22 2013 dimstar@opensuse.org
- Add icc_examin-xcm-detection.patch: fix XCM Detection: the
  original test fails if pkg-config --cflags xcm does not return
  any special flags to be added. Additionally, the original version
  check was just wrong anyway.
* Sat Jan 19 2013 ku.b@gmx.de
- release 0.54
- fix warnings with Xcm
* Fri Jan 11 2013 ku.b@gmx.de
- minor bug fixes
* Fri Dec 21 2012 ku.b@gmx.de
- release 0.53
- remove recommendation to oy-monitor-nvidia
- fix compiling on Fedora 17
- rename FLTK functions to internal names
- use editing space only with colour server
- remove debian section in spec file
* Thu Nov  1 2012 ku.b@gmx.de
- release 0.52
- requires Oyranos 0.9.0
- adds -g options
- extracts and displays ICC profiles from Oyranos supported images
- show 2D graph by oyranos-profile-graph
- fix for negative signed chromaticities
- fix mAB/mBA table access
* Thu Sep 20 2012 coolo@suse.com
- add explicit buildrequire on pkgconfig(glu)
* Fri Mar  9 2012 ku.b@gmx.de - 0.51
- release 0.51
* Mon Mar  5 2012 ku.b@gmx.de - 0.51
- test 0.51  git #90c55f1a
* Tue Feb 28 2012 ku.b@gmx.de - 0.51
- test 0.51
* Mon Dec 12 2011 ku.b@gmx.de
- Confirm licensing of icc_examin 0.50  as in bnc#736150
* Sun Dec  4 2011 coolo@suse.com
- add buildrequire libtool
* Thu Sep 22 2011 ku.b@gmx.de
- new release with various fixes and update to oyranos-0.3.2
* Thu Aug 18 2011 toganm@opensuse.org
- spec cleanup
  +add freefont to requires
  +build with %%optflags
  Wed Mar 11 2009 Kai-Uwe Behrmann
- add icc_examin.svg
  Thu Dec 11 2008 Kai-Uwe Behrmann
- add CinéPaint plug-in
- add Oyranos dependencies
  Mon Mar 02 2006 Kai-Uwe Behrmann
- name-majorversion.minorversion-releaseversion.xxx sheme
  Fri Aug 12 2005 Kai-Uwe Behrmann
- GUI improvements
  Tue May 26 2005 Kai-Uwe Behrmann
- GUI improvements
- translation to german in v0.30
  Tue Apr 21 2005 Kai-Uwe Behrmann
- first release
